public class Parkeringshus {

	private int antPlasser;
	private Kjoretoy[] plasser;

	public Parkeringshus(int antPlasser) {
		this.antPlasser = antPlasser;
		this.plasser = new Kjoretoy[antPlasser];
	}

	public Kjoretoy hentKjoretoy(int plass) {
		try {
			return plasser[plass];
		}

		catch (ArrayIndexOutOfBoundsException e) {
			System.out.println("Plassen du har valgt er ikke gyldig.");
			return null;
		}
	}

	public boolean settKjoretoy(int plass, Kjoretoy kjoretoy) {
		try {
			if(plasser[plass] == null){
				plasser[plass] = kjoretoy;
				return true;
			}
			System.out.println("Plassen er allerede tatt");
			return false;
		}
		catch (ArrayIndexOutOfBoundsException e) {
			System.out.println("Plassen du har valgt er ikke gyldig.");
			return false;
		}
	}
}
